import request from '@/utils/request'
import {download} from '@/utils/request'

// 查询文件信息列表
export function listSysFileInfo(query) {
    return request({
        url: '/tongzhou/sysFileInfo/sysFileInfo/list',
        method: 'get',
        params: query
    })
}

// 查询文件信息详细
export function getSysFileInfo(fileId) {
    return request({
        url: '/tongzhou/sysFileInfo/sysFileInfo/' + fileId,
        method: 'get'
    })
}

// 新增文件信息
export function addSysFileInfo(data) {
    return request({
        url: '/tongzhou/sysFileInfo/sysFileInfo',
        method: 'post',
        data: data
    })
}

// 修改文件信息
export function updateSysFileInfo(data) {
    return request({
        url: '/tongzhou/sysFileInfo/sysFileInfo',
        method: 'put',
        data: data
    })
}

// 删除文件信息
export function delSysFileInfo(fileId) {
    return request({
        url: '/tongzhou/sysFileInfo/sysFileInfo/' + fileId,
        method: 'delete'
    })
}

// 导出文件信息
export function downloadSysFileInfo(data) {
    download(
        '/tongzhou/sysFileInfo/sysFileInfo/export',
        data,
        `sysFileInfo_${new Date().getTime()}.xlsx`)
}
